Skip to content

Flux Pro

FLUX1.1 [pro] ultra is the newest version of FLUX1.1 [pro], maintaining professional-grade image quality while delivering up to 2K resolution with improved photo realism.

API Endpoint

POST `https://image.siraya.pro/v1/images/generations``

Request Parameters

Parameter Type Required Description
Authorization string Yes Your API Key (e.g., Bearer <API_KEY>).

Body

Parameter Type Default Description
model string - The model ID: Header.
prompt string - A text description for the output.
n integer 1 Number of outputs to generate.
output_format string url Result format (url or b64_json).

Usage Examples

curl https://image.siraya.pro/v1/images/generations` \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <API_KEY>" \
  -d '{...}'
import requests

url = "https://image.siraya.pro/v1/images/generations`"
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <API_KEY>"
}
data = {...}

response = requests.post(url, headers=headers, json=data)
print(response.json())